require( "scripts/style.lua" );


MakeDialog
{
	name = "keys",
	SetStyle(ButtonStyle),
	Bitmap
	{
		name = "backgroundimage",
		image = "memory/keys/background",
		x = 1,
		y = 1,
		scale = 1.00,
		Particle0 = "fx/dust3.lua",
		ParticleX0 = 200.0,
		ParticleY0 = 300.0,
		Particle1 = "fx/light.lua",
		ParticleX1 = 550.0,
		ParticleY1 = 325.0,
		Bitmap
		{
			name = "keyhole01",
			image = "memory/keys/lock1",
			x = 424,
			y = 115,
			scale = 1.00
		},
		Bitmap
		{
			name = "keyhole02",
			image = "memory/keys/lock1",
			x = 425,
			y = 184,
			scale = 1.00
		},
		Bitmap
		{
			name = "keyhole03",
			image = "memory/keys/lock1",
			x = 425,
			y = 254,
			scale = 1.00
		},
		Bitmap
		{
			name = "keyhole04",
			image = "memory/keys/lock1",
			x = 426,
			y = 323,
			scale = 1.00
		},
		Bitmap
		{
			name = "keyhole05",
			image = "memory/keys/lock1",
			x = 425,
			y = 395,
			scale = 1.00
		},
		SetStyle(ButtonStyle),
		CSkipButton
		{
			x=621,
			y=537,
			name="skip",
			label="skip",
			cancel=true,
			command=
			function()
				LevelSkip();
			end
		},
		SetStyle(ButtonStyle),
		Button
		{
			x=500,
			y=537,
			name="pause",
			label="pause",
			cancel=true,
			command=
			function()
				DoModal("scripts/pause.lua");
			end
		},

	SetStyle(ButtonStyle),
	Bitmap
	{
		name = "notime",
		image = "memory/keys/notime",
		x = 472,
		y = 0,
	scale = 1.00,},

		MemoryGame
		{
			conversation = "keys",
			unlockAnim = "memory/keys/turn",
			NextLevelScript = "find/barbers/barbers.lua",
			Time = 240,
			music="audio/music/music4.ogg",
			Bitmap
			{
				name = "pick-key01",
				image = "memory/keys/key1",
				x = 531,
				y = 300,
				scale = 1.00
			},
			Bitmap
			{
				name = "pick-key02",
				image = "memory/keys/key2",
				x = 531,
				y = 140,
				scale = 1.00
			},
			Bitmap
			{
				name = "pick-key03",
				image = "memory/keys/key3",
				x = 531,
				y = 220,
				scale = 1.00
			},
			Bitmap
			{
				name = "pick-key04",
				image = "memory/keys/key4",
				x = 531,
				y = 460,
				scale = 1.00
			},
			Bitmap
			{
				name = "pick-key05",
				image = "memory/keys/key5",
				x = 531,
				y = 380,
				scale = 1.00
			},
		},

	},

}
